<template>

        <div class="table">
            <div class="table-head">
                <div
                    class="cell"
                    :class="{
                        'cell-name': marketId === 3 || marketId === 2,
                        'cell-logo': marketId !== 3 && marketId !== 2
                    }"
                >
                    <div class="name">Bookmakers</div>
                </div>

                <div v-if="marketId === 3 || marketId === 2" class="cell cell-odds">
                    <div class="name">Odds</div>
                </div>

                <div
                    v-for="(type, typeIdx) in typeNames"
                    :key="typeIdx"
                    class="cell"
                    :class="`cell-${
                        type === '1' || type === '1X' || type === 'Over' ? 'one' :
                        type === 'X' || type === '12' ? 'x' : 'two'
                    }`"
                >
                    <div class="name">{{ type }}</div>
                </div>

                <div class="cell cell-payout">
                    <div class="name">Payout</div>
                </div>
                <div v-if="marketId === 3 || marketId === 2" class="cell cell-arr cell-empty"></div>
            </div>
            <div class="table-body" v-if="bets">

                <template v-for="(line, lineIdx) in bets">
                    <match-table-line
                        v-if="line.line !== null"
                        :line="line"
                        :eventId="eventId"
                        :idx="lineIdx"
                        :marketId="marketId"
                        :key="lineIdx"
                        :displayElement="allBookmakers"
                    />
                    <template  v-else>
                        <match-table-row
                            v-for="(bookmaker, bookmakerIdx) in line.bets"
                            :key="bookmakerIdx"
                            :idx="bookmakerIdx"
                            :item="bookmaker"
                            :marketId="marketId"
                            :eventId="eventId"
                            :displayElement="allBookmakers"
                        />
                    </template>

                </template>
<!--                <button v-if="bets.length < 20" class="load-more">Load More</button>-->
                <div v-if="!allBookmakers" class="flex aic jcc">
                    <button @click="showAllBookmakers" class="btn show-all"> <span class="text">Show More</span> </button>
                </div>
            </div>
        </div>

</template>

<script>
    import {Fragment} from 'vue-fragment'
    import MatchTableRow from './MatchTableRow'
    import MatchTableLine from './MatchTableLine'

    export default {
        name: 'MatchTable',
        props: {
            bets: {
                type: Array,
                required: true
            },
            activeBetType: {
                type: String,
                required: true
            },
            marketId: Number,
            eventId: {
                type: [String, Number]
            },

        },
        data() {
            return {
                allBookmakers: false,
            }
        },
        computed: {
            typeNames() {
                // '1X2', marketId: 1
                // 'AH', marketId: 3
                // 'O/U', marketId: 2
                // 'HT/FT', maketId: 4
                // 'DC', marketId: 7

                if (this.marketId === 1) return ['1', 'X', '2']
                if (this.marketId === 3) return ['1', '2']
                if (this.marketId === 2) return ['Over', 'Under']
                if (this.marketId === 7) return ['1X', '12', '2X']
            },

        },
        methods:{
            showAllBookmakers(){
                this.allBookmakers = true;
            },
            selectedBookmakers(bets, marketId){
                let typeName = ['1', 'X', '2'];

         /*       if (marketId === 1) typeName = ['1', 'X', '2'];
                if (marketId === 3) typeName = ['1', '2'];
                if (marketId === 2) typeName = ['Over', 'Under'];
                if (marketId === 7) typeName = ['1X', '12', '2X'];

                if(!this.allBookmakers){
                    let n_bets ={};
                    console.log(bets[0]['bets']);
                    n_bets = Object.values(bets[0]['bets']).filter(function (bookmaker,index) {
                        return (index<15) && bookmaker[typeName[0]]['bookmaker']['selected']
                    });
                    bets[0]['bets']=n_bets;
                    return bets;
                }*/
                return bets;
            }
        },
        components: {
            MatchTableLine,
            MatchTableRow,
            Fragment
        }
    }
</script>
